package com.cf.imes.module.plan.enums.ordercomponent;

import com.cf.imes.framework.common.core.IntArrayValuable;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

import java.util.Arrays;

/**
 * 部件加工状态枚举
 *
 * @author Gqr
 * @since 2026/1/29 11:03
 */
@RequiredArgsConstructor
@Getter
public enum OrderComponentProcessStatusEnum implements IntArrayValuable {
    NOT_PROCESS(0),
    UNPROCESSED(1),
    PROCESSED(2);

    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(OrderComponentProcessStatusEnum::getStatus).toArray();

    @Override
    public int[] array() {
        return ARRAYS;
    }

    private final Integer status;
}
